> For the complete documentation index, see [llms.txt](https://apidocs.abit.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.abit.vn/khach-hang/chi-tiet-khach-hang.md).

# Chi tiết khách hàng

API lấy chi tiết thông tin một khách hàng của shop trên Abit

URL API: [https://new.abitstore.vn](https://new.abitstore.vn/accounts/getdetailtAccountbyPartner)

<mark style="color:green;">`POST /`</mark>accounts/getdetailtAccountbyPartner

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

<table><thead><tr><th width="149">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token</td><td>string</td><td>Mã Access token được khởi tạo và cấp quyền bởi chủ tài khoản Abit, Xem hướng dẫn tạo <a href="https://apidocs.abit.vn/gioi-thieu-ve-abit-open-api.md#khoi-tao-access-token"><mark style="color:red;"><strong>Access Token</strong></mark> </a></td></tr><tr><td>partner_name</td><td>string</td><td>Mã shop khi đăng ký Abit</td></tr><tr><td>accountid</td><td>int</td><td>ID của khách hàng lấy từ API danh sách khách hàng</td></tr></tbody></table>

{% tabs %}
{% tab title="Body" %}

```json
{
"access_token":"MWM4MmFjYjYzYzYwOTkxOTg1OGVjNTA1NjcxY2QwZDc=",
"partner_name":"bizfly",
"accountid":"7374504"
}
```

{% endtab %}

{% tab title="Response" %}

```json
[
  {
    "accountid": 7374504,
    "account_no": "ACC468389",
    "account_no_shop": "",
    "accountname": "test",
    "phone": "0377500000",
    "otherphone": "0982500000",
    "email1": "abc@gmail.com",
    "email2": null,
    "chanel": null,
    "status": 0,
    "diachigiaohang": "Hapulico VTP",
    "created_at": "2023-07-17 14:16:12",
    "updated_at": "2023-08-21 10:09:44",
    "account_label": "",
    "bill_street": "Hapulico VTP 1",
    "diachivanphong": "Hapulico VTP 2",
    "diachi_vat": "Hapulico VTP 3",
    "thongdiep": null,
    "birthday": "0000-00-00",
    "use_zalo": 0,
    "gioi_tinh": "",
    "listInvoices": [
      {
        "invoiceid": 7374639,
        "invoice_no": "TT6723139-96",
        "subject": "test",
        "diachigiaohang": "Hapulico VTP",
        "invoicestatus": "Huy DNX",
        "created_at": "2023-07-17 14:19:55",
        "total": "50500490.000",
        "nguoinhanhang": "test"
      },
      {
        "invoiceid": 7374711,
        "invoice_no": "TT6723200-86",
        "subject": "test",
        "diachigiaohang": "Hapulico VTP",
        "invoicestatus": "AutoCreated",
        "created_at": "2023-07-17 14:22:54",
        "total": "10000000.000",
        "nguoinhanhang": "test"
      }
    ]
  }
]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.abit.vn/khach-hang/chi-tiet-khach-hang.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
